import request from '@/utils/request'

// 查询质量月报S6101列表
export function listS6101(query) {
  return request({
    url: '/production/s6101/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S6101详细
export function getS6101(id) {
  return request({
    url: '/production/s6101/' + id,
    method: 'get'
  })
}

// 新增质量月报S6101
export function addS6101(data) {
  return request({
    url: '/production/s6101',
    method: 'post',
    data: data
  })
}

// 修改质量月报S6101
export function updateS6101(data) {
  return request({
    url: '/production/s6101',
    method: 'put',
    data: data
  })
}

// 删除质量月报S6101
export function delS6101(id) {
  return request({
    url: '/production/s6101/' + id,
    method: 'delete'
  })
}

// 导出质量月报S6101
export function exportS6101(query) {
  return request({
    url: '/production/s6101/export',
    method: 'get',
    params: query
  })
}